<?php

namespace Internetgalerie\IgDatapoolFe\ViewHelpers\Form;


class TimeViewHelper extends TextfieldViewHelper
{

    public function initializeArguments(): void
    {
        parent::initializeArguments();
        $this->overrideArgument('type', 'string', 'The field type, e.g. "text", "email", "url" etc.', false, 'time');
        $this->overrideArgument('class', 'string', 'Label', false, 'dp-time');
        $this->registerTagAttribute('min', 'string', 'Minimum Time', false);
        $this->registerTagAttribute('max', 'string', 'Maximum Time', false);
        $this->registerTagAttribute('step', 'string', 'Step', false);
    }
}
